%define major		2
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Name:		usbmuxd
Version:	1.0.9
%define subrel	2
Release:	%mkrel 6
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Group:		System/Kernel and hardware 
License:	GPLv2+ and LGPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/lib%{name}-%{version}.tar.bz2
Patch0:		libusbmuxd-1.0.10-listen-local.patch
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	pkgconfig(libplist) >= 1.11

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

#---------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library to access the usbmuxd daemon
Group:		System/Libraries
#overquires
#Requires:	#{name} >= #{version}-#{release}

%description -n %{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

#---------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

#---------------------------------------------------------------------------------
%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p1 -b .CVE-2016-5104

%build
autoreconf -vfi
%configure2_5x \
		--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%files
%doc AUTHORS README
%{_bindir}/iproxy

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%doc README
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Fri Dec 29 2017 luigiwalser <luigiwalser> 1.0.9-6.2.mga5
+ Revision: 1186937
- rebuild for libplist
- add upstream patch to fix CVE-2016-5104

* Tue Feb 24 2015 eatdirt <eatdirt> 1.0.9-6.mga5
+ Revision: 816769
- Removing overrequire of the binary by the library

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-5.mga5
+ Revision: 739559
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.9-4.mga5
+ Revision: 730688
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9-3.mga5
+ Revision: 690091
- Mageia 5 Mass Rebuild

* Mon Mar 31 2014 daviddavid <daviddavid> 1.0.9-2.mga5
+ Revision: 610952
- use correct specification for required main pkg on library

* Mon Mar 31 2014 daviddavid <daviddavid> 1.0.9-1.mga5
+ Revision: 610878
- change build system to autotools from upstream
- drop udev rules and systemd service from upstream
- add autoreconf and configure for build
- add BRs on libtool and gcc-c++
- update URL and link url for Source0
- specify also the release of required packages (according to Mageia's policy)
- new version: 1.0.9

* Sun Mar 30 2014 daviddavid <daviddavid> 1.0.8-5.mga5
+ Revision: 610704
- rebuild for new libplist

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-4.mga4
+ Revision: 519899
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.8-3.mga3
+ Revision: 385157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 blino <blino> 1.0.8-2.mga3
+ Revision: 303688
- use systemd to start usbmuxd, udev would kill it after the end of the event (from Bastien Nocera, Fedora)
- drop acl require
- drop acl patch, the udev rule already sets the device owner to usbmux

* Tue Aug 07 2012 wally <wally> 1.0.8-1.mga3
+ Revision: 279818
- new version 1.0.8
- source tarball from a new developer
- drop upstreamed CVE patch
- rediff udev patch
- clean .spec a bit

* Sat Aug 04 2012 luigiwalser <luigiwalser> 1.0.7-4.mga3
+ Revision: 278493
- add requires acl as udev rule runs setfacl

* Fri Aug 03 2012 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 278312
- add upstream patch to fix CVE-2012-0065

* Wed Aug 03 2011 colin <colin> 1.0.7-2.mga2
+ Revision: 131573
- Ensure the usbmux user can actually access the iDevice node.

* Thu Apr 14 2011 tv <tv> 1.0.7-1.mga1
+ Revision: 85192
- new version
- drop patch

* Sat Jan 15 2011 blino <blino> 1.0.6-3.mga1
+ Revision: 18985
- remove old ldconfig scriptlets
- imported package usbmuxd


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 602257
- update BR
- update produce id
- new version 1.0.6

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-2mdv2011.0
+ Revision: 556924
- add libplist build requires

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-1mdv2011.0
+ Revision: 556886
- usbmuxd 1.0.5

* Wed May 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 544554
- usbmuxd 1.0.4

* Mon Apr 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-2mdv2010.1
+ Revision: 533666
- fix patch0: apply the ACLs on the usb device node before trying to access it (was broken during the 1.0.3 rediff)

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 526416
- rediff ACL patch
- usbmuxd 1.0.3

* Thu Feb 11 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 504139
- usbmuxd 1.0.2

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-3mdv2010.1
+ Revision: 474470
- need to actually upload libplist before attempting the rebuild ;)

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-2mdv2010.1
+ Revision: 474467
- rebuilg against new libplist

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 474344
- usbmuxd 1.0.0

* Fri Nov 06 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.0-0.rc2.1mdv2010.1
+ Revision: 460546
- New version: 1.0.0-rc2 (work by teuf)
- Add usbmux user
- Add ACL for usbmux user
- Apply upstream patches for smooth exit.

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.1.4-2mdv2010.0
+ Revision: 439806
- rebuild for new libusb

* Mon Aug 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.4-1mdv2010.0
+ Revision: 414335
- 0.1.4
- usbmuxd 0.1.4

* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-1mdv2010.0
+ Revision: 410626
- Fix rpm groups
- import usbmuxd


* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.3-1
- Update to 0.1.3, review input

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- Update to 0.1.2

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaging
